## fteqcc 3343%2Bsvn3400

=== debian/control ===
Source: fteqcc
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>
Build-Depends: debhelper-compat (= 12)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: http://fteqw.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/games-team/fteqcc
Vcs-Git: https://salsa.debian.org/games-team/fteqcc.git

Package: fteqcc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FTE QuakeC compiler
 fteqcc compiles QuakeC source code to binary, platform-independent
 code that Quake based engines can interpret. QuakeC is the language
 that Quake game logic is developed in and is used for developing
 modifications.
 .
 FTE QCC supports Quake1, QuakeWorld, Hexen2 and FTE Quake, 64bit
 architectures and multithreading.
