=== debian/watch ===
version=3
http://sf.net/fteqw/fteqcc(.*)-linux\.tar\.gz
