=== debian/changelog ===
fteqcc (3343+svn3400-7) unstable; urgency=medium

  * Team upload
  * d/rules: Continue to build using C17 standard with GNU extensions.
    This older codebase is not compatible with gcc-15's default C23 standards
    compliance making true and false into keywords, and switching to C23
    bool risks subtle ABI issues. This package is only minimally maintained
    for the benefit of nexuiz-data, so take the conservative approach of
    returning to gcc-14's default, C17. (Closes: #1096662)
  * d/copyright: Don't quote the FSF's former postal address here
  * d/salsa-ci.yml: Use recommended recipe
  * d/salsa-ci.yml: Disable redundant build jobs.
    There is no Architecture: all in this source package, so the default
    build job is equivalent to requesting only Architecture: any, and
    the Architecture: all job won't do anything.

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Sep 2025 12:33:21 +0100

fteqcc (3343+svn3400-6) unstable; urgency=medium

  * Team upload
  * d/p/Make-function-pointer-types-consistent-with-the-implement.patch:
    Add patch to fix FTBFS with gcc 14 (Closes: #1074971)
  * d/rules: Append CPPFLAGS to CFLAGS.
    The upstream build system doesn't use CPPFLAGS.
  * d/rules: Also append dpkg-buildflags LDFLAGS to BASE_CFLAGS.
    This works around the upstream Makefile not passing either LDFLAGS
    or CFLAGS to linker invocations.
  * d/salsa-ci.yml: Activate Salsa-CI

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Aug 2024 10:53:03 +0100

fteqcc (3343+svn3400-5) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Fix FTCBFS: Defer stripping to dh_strip.
    In addition to cross compilation, this also fixes
    DEB_BUILD_OPTIONS=nostrip and generation of -dbgsym packages.
    (Closes: #968524)

  [ Reiner Herrmann ]
  * Update and fix watch file

  [ Simon McVittie ]
  * d/p/Wasn-t-prototyped-apparently.patch,
    d/p/Add-missing-prototype-for-QCC_PR_CheckImmediate.patch:
    Add patches from upstream git to fix implicit function declarations
    (Closes: #1066606)
  * d/p/patch-to-use-extern-properly.-divVerent-neededed-it-so-we.patch:
    Use upstream's commit to solve most of #957237
  * d/p/Avoid-multiple-definitions-of-some-global-variables.patch:
    Use a smaller patch to solve the rest of #957237
  * d/control: Use recommended debhelper compat level 13

 -- Simon McVittie <smcv@debian.org>  Sat, 08 Jun 2024 14:32:17 +0100

fteqcc (3343+svn3400-4) unstable; urgency=medium

  * Team upload
  * d/control: Update Vcs-Git, Vcs-Browser for migration to salsa.d.o
  * Add a patch to fix the build with -fno-common (gcc 10)
    (Closes: #957237)
  * d/control, d/changelog: Trim trailing whitespace
  * Use debhelper-compat 12
  * Set Rules-Requires-Root to no
  * d/copyright: Convert to machine-readable format
  * Standards-Version: 4.5.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Aug 2020 11:15:41 +0100

fteqcc (3343+svn3400-3) unstable; urgency=low

  * Use debhelper 8 to build the source package
    * Bump build-dependency to debhelper (>= 8)
    * Drop build-dependency on cdbs
    * Rewrite debian/rules
    * Bump debian/compat to 8

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 25 Mar 2011 18:51:37 +0100

fteqcc (3343+svn3400-2) unstable; urgency=low

  * Update standards version to 3.9.1 without changes
  * Convert to source format 3.0 (quilt)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 29 Jul 2010 20:46:56 -0400

fteqcc (3343+svn3400-1) unstable; urgency=low

  * Package a newer upstream snapshot which is necessary to build
    nexuiz-data 2.5.2
  * Bump standards version to 3.8.3. No changes were necessary
  * Add code snippet from our policy to debian/rules, so we can build fteqcc
    in parallel with -j=N

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 16 Oct 2009 15:44:13 +0200

fteqcc (3343+svn3223-1) unstable; urgency=low

  * Fteqcc is now maintained by the Debian Games Team with permission from
    David Moreno
  * New Subversion snapshot (Closes: #534329)
    * This snapshot includes mandatory fixes to build nexuiz-data >= 2.5.1
  * Update debian/copyright to reflect the real source of the download (SVN)
  * Update to debian standards version 3.8.2. No changes were necessary
  * Bump debhelper compatibility version to 5. Thanks to lintian!
    * Bump versioned build dependency on debhelper to version 5
  * Add debian/git-fteqcc-orig.sh to generate .orig.tar.gz's from the upstreams
    subversion repository

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 13 Aug 2009 14:28:41 +0200

fteqcc (3343-2) unstable; urgency=low

  * Stripping binary (Closes: #436876).
  * Added misc depends
  * Updated Standars-Version to 3.8.0
  * Hijacking package after last upstream release.

 -- David Moreno <damog@debian.org>  Fri, 12 Dec 2008 14:16:42 -0500

fteqcc (3343-1) unstable; urgency=low

  * New upstream release (Closes: #469170).

 -- David Moreno Garza <damog@debian.org>  Sat, 08 Mar 2008 11:53:27 -0500

fteqcc (2666-1) unstable; urgency=low

  * New upstream release

  * debian/control: update Standards-Version to 3.7.2 without changes,
    updated my E-Mail address

  * debian/patches: deleted, no longer necessary

  * debian/rules: clean "fteqcc.bin" and install "fteqcc.bin", this is
    what upstream's build system outputs now instead of "fteqcc".

  * debian/watch: added

  * debian/copyright: update FSF address

 -- René van Bevern <rvb@debian.org>  Sat,  1 Jul 2006 20:38:27 +0200

fteqcc (2352-1) unstable; urgency=low

  * Initial release. (Closes: #315653)

 -- David Moreno Garza <damog@debian.org>  Fri, 24 Jun 2005 19:59:16 +0200
