=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND = \
	-std=gnu17 \
	$(NULL)

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS)" BASE_CFLAGS+="$(LDFLAGS)"

override_dh_auto_install:
	mkdir -p debian/fteqcc/usr/bin
	install fteqcc.bin debian/fteqcc/usr/bin/fteqcc

override_dh_auto_clean:
	rm -f *.o fteqcc.bin fteqcc.log

override_dh_auto_test:
	# Do nothing. This is intentional, as the test binaries require external
	# sources.
