=== debian/watch ===
version=4
opts="mode=svn, uversionmangle=s/0\.0~svn(\d+)/$1+svn$1/" \
https://svn.code.sf.net/p/fteqw/code/trunk HEAD
